Bug 448749 - recommend packaging coda 6.9.4-rc2 instead
recommend packaging coda 6.9.4-rc2 instead
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: coda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 11:48 EDT by Adam Goode
Modified: 2008-05-30 22:17 EDT (History)
0 users

See Also:
Fixed In Version: 6.9.4-0.1.rc2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 22:10:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2008-05-28 11:48:43 EDT
Description of problem:
Coda 6.9.4-rc2 has some important bug fixes, where checkpointing would crash on
long pathnames (relative to a volume).

More urgently, it also changes the RVM layout. Venus will die if LOG and DATA
magic numbers do not match its expectations. The layout has changed between
6.9.3 and 6.9.4, thus making an automatic upgrade impossible.

I recommend that 6.9.3 never get into Fedora, and you just go with 6.9.4-rc2. At
least you will have a little time before the next RVM change to figure out how
to cleanly upgrade when the layout changes (if it is possible).


Version-Release number of selected component (if applicable):
coda-client-6.9.3-2.fc9.x86_64
Comment 1 Fedora Update System 2008-05-29 15:20:22 EDT
coda-6.9.4-0.1.rc2.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-05-29 15:24:14 EDT
coda-6.9.4-0.1.rc2.fc8 has been submitted as an update for Fedora 8
Comment 3 Hans de Goede 2008-05-29 15:25:44 EDT
Unfortunately yesterday 6.9.3 has becoem available in the F-8 and F-9 repo's but
chances are good almost no-one has installed it sofar, so I've done 6.4.9-rc2 as
an update asap, it should hit the F-8 / F-9 repos real soon.
Comment 4 Fedora Update System 2008-05-30 22:10:42 EDT
coda-6.9.4-0.1.rc2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-05-30 22:17:06 EDT
coda-6.9.4-0.1.rc2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.